LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
rtl::IReference Class Referenceabstract

Interface for a reference type. More...

`#include <ref.hxx>`

Inheritance diagram for rtl::IReference:

## Public Member Functions
virtual oslInterlockedCount | acquire ()=0
virtual oslInterlockedCount | release ()=0

## Protected Member Functions
| ~IReference ()

## Detailed Description

Interface for a reference type.

## Constructor & Destructor Documentation

rtl::IReference::~IReference | ( |  | ) |
| inline protected

## Member Function Documentation

virtual oslInterlockedCount rtl::IReference::acquire | ( |  | ) |
| pure virtual

See Also
  osl_incrementInterlockedCount.

Implemented in salhelper::ReferenceObject.

virtual oslInterlockedCount rtl::IReference::release | ( |  | ) |
| pure virtual

See Also
  osl_decrementInterlockedCount.

Implemented in salhelper::ReferenceObject.

The documentation for this class was generated from the following file:

- rtl/ref.hxx